OGRE-Next: Ogre::BasicBlock Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::BasicBlock Struct Reference
Core » Resources

`#include <OgreHlmsDatablock.h>`

Inheritance diagram for Ogre::BasicBlock:
[legend]

## Public Member Functions
| BasicBlock (uint8 blockType)

## Public Attributes
uint8 | mAllowGlobalDefaults
| When zero, HlmsManager cannot override the block's values with enforced global settings.
uint8 | mBlockType
uint16 | mId
| The mId is only valid while mRefCount > 0; which means mRsData may contain valid data, else it's null.
uint16 | mLifetimeId
| Except for HlmsSamplerblocks, mLifetimeId is valid throghout the entire life of HlmsManager.
uint16 | mRefCount
void * | mRsData
| Render-System specific data.

## Constructor & Destructor Documentation

## ◆ BasicBlock()

Ogre::BasicBlock::BasicBlock | ( | uint8 | blockType | ) |

## Member Data Documentation

## ◆ mAllowGlobalDefaults

uint8 Ogre::BasicBlock::mAllowGlobalDefaults

When zero, HlmsManager cannot override the block's values with enforced global settings.

(such as lower quality texture filtering or turning off depth checks for debugging)

Referenced by Ogre::HlmsBlendblock::operator!=(), Ogre::HlmsMacroblock::operator!=(), and Ogre::HlmsSamplerblock::operator!=().

## ◆ mBlockType

uint8 Ogre::BasicBlock::mBlockType

See also
  HlmsBasicBlock

## ◆ mId

uint16 Ogre::BasicBlock::mId

The mId is only valid while mRefCount > 0; which means mRsData may contain valid data, else it's null.

## ◆ mLifetimeId

uint16 Ogre::BasicBlock::mLifetimeId

Except for HlmsSamplerblocks, mLifetimeId is valid throghout the entire life of HlmsManager.

This guarantees HlmsMacroblock & HlmsBlendblock pointers are always valid, although they may be inactive (i.e. mId invalid, mRefCount = 0 and mRsData = 0)

## ◆ mRefCount

uint16 Ogre::BasicBlock::mRefCount

## ◆ mRsData

void* Ogre::BasicBlock::mRsData

Render-System specific data.

The documentation for this struct was generated from the following file:

- OgreHlmsDatablock.h